## kodi-audiodecoder-fluidsynth 3.0.0%2Bds1

=== debian/changelog ===
kodi-audiodecoder-fluidsynth (3.0.0+ds1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 19:50:57 +0200

kodi-audiodecoder-fluidsynth (3.0.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:41 +0000

kodi-audiodecoder-fluidsynth (3.0.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 27 Dec 2020 06:41:55 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.fluidsynth/releases \
/xbmc/audiodecoder.fluidsynth/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-audiodecoder-fluidsynth 3.0.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(audiodecoder.fluidsynth)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(FluidSynth REQUIRED)

include(ExternalProject)

include_directories(${KODI_INCLUDE_DIR}/..
                    ${FLUIDSYNTH_INCLUDE_DIRS})

set(FLUID_SOURCES src/FluidDecoder.cpp)
set(FLUID_HEADERS src/FluidDecoder.h)

set(DEPLIBS ${FLUIDSYNTH_LIBRARIES})

# the cmake var SOUND_FONT can be used to set a platform specific default sound font
# e.g. -DSOUND_FONT=/path/to/some_sound_font.sf2
option(SOUND_FONT "Default sound font" "")


build_addon(audiodecoder.fluidsynth FLUID DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-audiodecoder-fluidsynth (3.0.0+ds1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:45:07 -0700

=== debian/control ===
Source: kodi-audiodecoder-fluidsynth
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libfluidsynth-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-fluidsynth
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-fluidsynth.git
Homepage: https://kodi.tv/

Package: kodi-audiodecoder-fluidsynth
Architecture: any
Depends: fluid-soundfont-gm,
         ${kodi:AUDIODECODERAPI},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Fluidsynth audio decoder for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package allows playing Fluidsynth Midi audio files Kodi

## kodi-audiodecoder-fluidsynth 19.0.1+ds1

=== debian/changelog ===
kodi-audiodecoder-fluidsynth (19.0.1+ds1-1build1) jammy; urgency=medium

  * No-change rebuild against libfluidsynth3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 03:16:39 +0000

kodi-audiodecoder-fluidsynth (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Bump standard version
  * Add libsndfile1-dev to build-deps
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:12:59 +0000

kodi-audiodecoder-fluidsynth (3.0.0+ds1-3) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:37:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kodi-audiodecoder-fluidsynth
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libfluidsynth-dev
-Standards-Version: 4.5.1
+Build-Depends-Arch: dh-sequence-kodiaddon,
+               cmake,
+               kodi-addons-dev (>= 2:19~),
+               libfluidsynth-dev,
+               libsndfile1-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-fluidsynth
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-fluidsynth.git
@@ -17,10 +18,10 @@
 
 Package: kodi-audiodecoder-fluidsynth
 Architecture: any
-Depends: fluid-soundfont-gm,
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
          ${kodi:AUDIODECODERAPI},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         fluid-soundfont-gm
 Description: Fluidsynth audio decoder for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.fluidsynth/releases \
/xbmc/audiodecoder.fluidsynth/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-audiodecoder-fluidsynth 19.0.2%2Bds1

=== debian/changelog ===
kodi-audiodecoder-fluidsynth (19.0.2+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:05 +0000

kodi-audiodecoder-fluidsynth (19.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.2+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: kodi-audiodecoder-fluidsynth
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libfluidsynth-dev,
                libsndfile1-dev
 Standards-Version: 4.6.0

## kodi-audiodecoder-fluidsynth 20.2.1+ds1

=== debian/changelog ===
kodi-audiodecoder-fluidsynth (20.2.1+ds1-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:51:24 +0200

kodi-audiodecoder-fluidsynth (20.2.1+ds1-2) unstable; urgency=medium

  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:59 +0000

kodi-audiodecoder-fluidsynth (20.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.1+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kodi-audiodecoder-fluidsynth
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libfluidsynth-dev,
                libsndfile1-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-fluidsynth
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-fluidsynth.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.fluidsynth \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-audiodecoder-fluidsynth 20.2.2+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(audiodecoder.fluidsynth)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(FluidSynth REQUIRED)
find_package(LibSndFile REQUIRED)
find_package(OpenMP)

include(ExternalProject)

include_directories(${KODI_INCLUDE_DIR}/..
                    ${FLUIDSYNTH_INCLUDE_DIRS}
                    ${LIBSNDFILE_INCLUDE_DIRS})

set(FLUID_SOURCES src/FluidDecoder.cpp)
set(FLUID_HEADERS src/FluidDecoder.h)

set(DEPLIBS ${FLUIDSYNTH_LIBRARIES} ${LIBSNDFILE_LIBRARIES} ${OpenMP_CXX_LIBRARIES})

# the cmake var SOUND_FONT can be used to set a platform specific default sound font
# e.g. -DSOUND_FONT=/path/to/some_sound_font.sf2
option(SOUND_FONT "Default sound font" "")

build_addon(audiodecoder.fluidsynth FLUID DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-audiodecoder-fluidsynth (20.2.2+ds-1) unstable; urgency=high

  * New upstream version 20.2.2+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 10 Oct 2025 06:39:49 +0000

kodi-audiodecoder-fluidsynth (20.2.1+ds1-5) unstable; urgency=high

  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:44:34 +0000

kodi-audiodecoder-fluidsynth (20.2.1+ds1-4) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:12:27 +0000

kodi-audiodecoder-fluidsynth (20.2.1+ds1-3) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:44:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: kodi-audiodecoder-fluidsynth
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libfluidsynth-dev,
                libsndfile1-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-fluidsynth
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-fluidsynth.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-fluidsynth.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-audiodecoder-fluidsynth

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.fluidsynth \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
